/*
 * --------------------------------------------------------
 *  FTR&D/DMI/MAPS/AMS
 * --------------------------------------------------------
 *  Project     : M2MPlanet
 *  SubProject  : ODIS2
 * 
 *  Copyright France Telecom  2008,  All Rights Reserved.
 * 
 *  This software is the confidential and proprietary
 *  information of France Telecom.
 *  You shall not disclose such Confidential Information
 *  and shall use it only in accordance with the terms
 *  of the license agreement you entered into with
 *  France Telecom.
 * 
 * --------------------------------------------------------
 *  FileName    : AddCollocatedJoramServer.java
 * 
 *  Created     : 20 mai 2008
 *  Author      : Olivier Beyler
 * 
 *  Description :
 * 
 * --------------------------------------------------------
 */

package org.ow2.odis.joram;

import org.ow2.odis.admin.IAction;

import fr.dyade.aaa.agent.AgentServer;

/**
 *
 * @author mobo7205
 */
public class AddCollocatedJoramServer implements IAction {
    static boolean joramCollocated = false;
    public int actions(int index, String[] arg) { 
        if ("-serv".equals(arg[index])) {
                    index++;
                    joramCollocated = true;
                    int idServer = Integer.parseInt(arg[index]);
                    String[] serverParam = { "" + idServer, "S" + idServer };
                    try {
                        AgentServer.main(serverParam);
                    } catch (Exception e) {
                        e.printStackTrace();
                    }
                    index++;
                } 
        return index;
    }
    public void unbind (){
         if (joramCollocated) {
                AgentServer.stop();
            }
    }

    public String getDescriptions() {
        return "-serv num     : launches a collocated Joram server";
    }

    public void postDeclare() {
    }

}
