package org.ow2.odis.joram;

import org.ow2.odis.connection.IConnectionFactory;
import org.ow2.odis.connection.IConnectionIn;
import org.ow2.odis.connection.IConnectionOut;
import org.ow2.odis.connection.context.IContextualConnectionOut;
import org.ow2.odis.model.AbstractAttribute;
import org.ow2.odis.model.AbstractConnectionAttribute;

/**
 *
 * @author mobo7205
 */
public class JoramTopicConnectionFactory implements IConnectionFactory{

    /**
     * 
     * @param attribut
     * @return
     */
    public IConnectionIn newConnectionIn(AbstractConnectionAttribute attribute) {
        return new InTopic((AbstractJMSConnectionAttribute) attribute);
    }

    public IConnectionOut newConnectionOut(AbstractConnectionAttribute attribute) {
        return new OutTopic((AbstractJMSConnectionAttribute) attribute);
    }

    public IContextualConnectionOut newContextualConnectionOut(AbstractConnectionAttribute attribut) {
        return null;
    }

    public AbstractConnectionAttribute newAttribute(AbstractAttribute attribute) {
        return new TopicConnectionAttribute(attribute);
    }

}
